libzypp 17.37.10

zyppng::worker::Device Struct Reference

`#include <zypp-media/ng/worker/devicedriver.h>`

## Public Attributes
std::string | _name
| Path of the device node or URL for e.g. nfs devices.
unsigned int | _maj_nr = 0
| Major number of the device.
unsigned int | _min_nr = 0
| Minor number of the device.
zypp::Pathname | _mountPoint = {}
| Mountpoint of the device, if empty dev is not mounted.
bool | _ephemeral = false
| If set to true the device is removed from the internal list after the last attachpoint was released.
std::unordered_map< std::string, std::any > | _properties = {}

## Detailed Description

Definition at line 29 of file devicedriver.h.

## Member Data Documentation

## ◆ _name

std::string zyppng::worker::Device::_name

Path of the device node or URL for e.g. nfs devices.

Definition at line 31 of file devicedriver.h.

## ◆ _maj_nr

unsigned int zyppng::worker::Device::_maj_nr = 0

Major number of the device.

Definition at line 32 of file devicedriver.h.

## ◆ _min_nr

unsigned int zyppng::worker::Device::_min_nr = 0

Minor number of the device.

Definition at line 33 of file devicedriver.h.

## ◆ _mountPoint

zypp::Pathname zyppng::worker::Device::_mountPoint = {}

Mountpoint of the device, if empty dev is not mounted.

Definition at line 34 of file devicedriver.h.

## ◆ _ephemeral

bool zyppng::worker::Device::_ephemeral = false

If set to true the device is removed from the internal list after the last attachpoint was released.

Definition at line 35 of file devicedriver.h.

## ◆ _properties

std::unordered_map<std::string, std::any> zyppng::worker::Device::_properties = {}

Definition at line 36 of file devicedriver.h.

The documentation for this struct was generated from the following file:

- zypp-media/ng/worker/devicedriver.h